Jump to content
Pagit

Expired version...

Recommended Posts

I've downloaded just yesterday Windows and Linux 64 bit 0.15 versions. Both, when lauched, shows an error message "This test version has expired. Please make sure you download the latest available release of uGFX-Studio.

What happen?

Thanks in advance

 

Share this post


Link to post
Share on other sites

Please excuse the inconvenience. We are experiencing issues with our Linux build environment which results in delays. We are looking forward providing a patched version until the end of the week.
Please use the Windows version in the meantime if possible.

Share this post


Link to post
Share on other sites

I've just found a bug : when I'm trying to open a saved project, I've this error message :

/home/matthgyver/ugfx_studio_0.15_linux/./ugfx_studio/uGFX-Studio: relocation error: /home/matthgyver/ugfx_studio_0.15_linux/./ugfx_studio/uGFX-Studio: symbol _ZN10QJsonArray7detach2Ej, version Qt_5 not defined in file libQt5Core.so.5 with link time reference

It's not a bug, but when I launch the preview on my Fedora 22 I've this error :

/usr/bin/ld: ne peut trouver -lX11

I've libX11-devel package installed and have set LD_LIBRARY_PATH but nothing better.

I see that LD_LIBRARY_PATH is defined in launch.sh and erase my environment declaration.

Have you an idea to set my environment for use the preview functionality please ?

Share this post


Link to post
Share on other sites

So far we were unable to reproduce the issues that you are mentioning on the Linux distributions that we have on hand. I guess we'd have to setup a Fedora VM ourselves to reproduce & track-down the issues in order to give you a detailed explanation/guide. However, unfortunately we are currently very busy and can't spare the time to do that.

We can recommend you trying to compile any µGFX application (eg. the /demos/modules/gdisp/basics demo) manually using the X driver. There's not a lot information about that on the wiki as we deprecated the driver once the SDL one got added but the µGFX-Studio still uses that one. Being able to compile an application outside of the µGFX-Studio would allow us to further track down the problem.
Please don't hesitate to open a new forum topic if you face any issues compiling a µGFX application yourself for X.

Share this post


Link to post
Share on other sites

Hi Guys.

I've just downloaded the fixed update and I have the exact same error as matthgyver;

/opt/ugfx-studio/ugfx_studio_0.15_linux/./ugfx_studio/uGFX-Studio: relocation error: /opt/ugfx-studio/ugfx_studio_0.15_linux/./ugfx_studio/uGFX-Studio: symbol _ZN10QJsonArray7detach2Ej, version Qt_5 not defined in file libQt5Core.so.5 with link time reference

From my modest knowledge of QT I'd say you have a dynamic link in there somewhere which can't be resolved on our machines. I do have QT5 on the box I'm running uGFX Studio on, but obviously the o/s can't resolve the missing symbol.

Interestingly - it is possible to create and save a new proejct, but once done you cannot re-open it. Hope that helps narrow this down?

Many thanks

Dave

Edited by Joel Bodenmann
Cleaning up formatting

Share this post


Link to post
Share on other sites
1 hour ago, inmarket said:

Try updating to the latest version of QT5.

This has nothing to do with the Qt installation on the µGFX-Studio user's computer. The package is supposed to contain anything required to run a stand-alone application without any dependencies. There is no need to install Qt or any other 3rd party software or library in order to run the µGFX-Studio.

As @David Kibble mentioned the issue is related to improper packaging of the application. That's a fault on our side that we can, have to and will correct.

Share this post


Link to post
Share on other sites
On 27/10/2016 at 06:55, Joel Bodenmann said:

This has nothing to do with the Qt installation on the µGFX-Studio user's computer. The package is supposed to contain anything required to run a stand-alone application without any dependencies. There is no need to install Qt or any other 3rd party software or library in order to run the µGFX-Studio.

As @David Kibble mentioned the issue is related to improper packaging of the application. That's a fault on our side that we can, have to and will correct.

Thanks Joel. Let me know if I can help in any way.

Dave

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...